<template>
  <view class="agreement-container">
    <view class="agreement-html" v-html="agreementHtml"></view>
  </view>
</template>

<script>
import { GetAgreement } from "../../api/agreement";
export default {
  name: "agreement",
  data() {
    return {
      agreementHtml: "",
    };
  },
  onShow() {
    this.getAgreement();
  },
  methods: {
    async getAgreement() {
      let res = await GetAgreement({
        protocols_key: "reg_protocols_description",
      });
      if (res.status == 200) {
        this.agreementHtml = res.data.document;
      }
    },
  },
};
</script>

<style lang="scss">
.agreement-container {
  padding: 56rpx;
}
</style>